const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Biak Numfor',
    'Kabupaten Jayapura',
    'Kabupaten Keerom',
    'Kabupaten Kepulauan Yapen',
    'Kabupaten Mamberamo Raya',
    'Kabupaten Sarmi',
    'Kabupaten Supiori',
    'Kabupaten Waropen',
    'Kota Jayapura'

    // 9
];

exports.seedPapuaCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Papua' },
    });

    if (!province) {
        console.error('❌ Province Papua not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: { updatedAt: timeLocal.now().toDate() },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Papua City seeded!.');
};